<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    tools:background="@color/black">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="17dp"
        android:background="@drawable/common_bottom_dialog_bg"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="40dp"
            android:layout_marginTop="43dp"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="@string/order_evaluate_title"
            android:textColor="@color/color_FF1D2129"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/v_evaluate_left"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:text="@string/order_evaluate_left_title"
            android:textColor="@color/color_FFC9CDD4"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="@id/v_evaluate"
            app:layout_constraintEnd_toStartOf="@id/v_evaluate"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/v_evaluate" />

        <com.adealink.weparty.commonui.widget.EvaluateView
            android:id="@+id/v_evaluate"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            app:evaluate_current="0"
            app:evaluate_divide="12dp"
            app:evaluate_max="5"
            app:evaluate_width="30dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_title"
            tools:evaluate_current="3" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/v_evaluate_right"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:text="@string/order_evaluate_right_title"
            android:textColor="@color/color_FFC9CDD4"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="@id/v_evaluate"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/v_evaluate"
            app:layout_constraintTop_toTopOf="@id/v_evaluate" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_input"
            android:layout_width="match_parent"
            android:layout_height="90dp"
            android:layout_marginHorizontal="16dp"
            android:layout_marginTop="12dp"
            android:background="@drawable/common_input_edit_bg"
            android:paddingHorizontal="12dp"
            android:paddingVertical="8dp"
            app:layout_constraintTop_toBottomOf="@id/v_evaluate">

            <androidx.appcompat.widget.AppCompatEditText
                android:id="@+id/et_input"
                android:layout_width="0dp"
                android:layout_height="36dp"
                android:background="@null"
                android:fontFamily="@font/poppins_semibold"
                android:gravity="start|center_vertical"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF1D2129"
                android:textColorHint="@color/color_FFC9CDD4"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_input_count"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="end|center"
                android:includeFontPadding="false"
                android:textColor="@color/color_FFCDCFD9"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                tools:text="0/200" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_submit"
            android:layout_width="0dp"
            android:layout_height="@dimen/common_button_height"
            android:layout_marginHorizontal="16dp"
            android:layout_marginTop="16dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/cl_input"
            app:text="@string/common_submit"
            app:textSize="16sp" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.adealink.weparty.commonui.imageview.AvatarView
        android:id="@+id/iv_avatar"
        android:layout_width="60dp"
        android:layout_height="60dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundingBorderColor="@color/white"
        app:roundingBorderWidth="1dp" />

</androidx.constraintlayout.widget.ConstraintLayout>